Bug 1288882 - Review Request: python-prov - W3C Provenance Data Model supporting PROV-JSON and PROV-XML import/export
Summary: Review Request: python-prov - W3C Provenance Data Model supporting PROV-JSON ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1288880
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2015-12-06 21:33 UTC by Igor Gnatenko
Modified: 2016-08-27 10:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-25 13:55:35 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2015-12-06 21:33:51 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-prov.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-prov-1.4.0-1.fc24.src.rpm
Description:
A library for W3C Provenance Data Model supporting PROV-JSON and PROV-XML
import/export.
Fedora Account System Username: ignatenkobrain

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-01-09 17:44:34 UTC
Please extend %description. Right now it is a copy of Summary. It should say explain what this package is useful for.

+ license is OK (MIT)
+ license file is present, %license is used
+ latest version
+ latest python package template and macros are used
+ executables use python 3
+ %check is present and passes
+ provides/requires seem OK
+ no scriptlets present or necessary
+ builds and installs OK
+ fedora-review is happy

Rpmlint (installed packages)
----------------------------
python3-prov.noarch: W: no-manual-page-for-binary prov-compare
python3-prov.noarch: W: no-manual-page-for-binary prov-convert
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

OK.


Package is APPROVED, conditional on %description being extended ;)

Comment 2 Mike McCune 2016-03-28 23:47:57 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 3 Gwyn Ciesla 2016-08-15 14:59:39 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-prov

Comment 4 Fedora Update System 2016-08-16 17:35:51 UTC
python-prov-1.4.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff5b4b7979

Comment 5 Fedora Update System 2016-08-16 17:35:58 UTC
python-prov-1.4.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f0f53ae51

Comment 6 Fedora Update System 2016-08-17 19:54:29 UTC
python-prov-1.4.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff5b4b7979

Comment 7 Fedora Update System 2016-08-18 01:52:42 UTC
python-prov-1.4.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f0f53ae51

Comment 8 Fedora Update System 2016-08-25 13:55:33 UTC
python-prov-1.4.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-08-27 10:27:52 UTC
python-prov-1.4.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.